package kr.co.accura.wtm.domain.config.repository;

import kr.co.accura.wtm.domain.config.entity.WorkRule;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface WorkRuleRepository extends JpaRepository<WorkRule, Long> {

    Optional<WorkRule> findByLocation(String location);

    List<WorkRule> findByIsActiveTrue();
}
